Khronos Public Bugzilla
Bug 735 - OpenGL3 man pages still mention the GL_TEXTURE_BORDER constant.
OpenGL3 man pages still mention the GL_TEXTURE_BORDER constant.
Status: RESOLVED FIXED
Product: OpenGL
Classification: Unclassified
Component: Man Pages, Reference Card & Other Documentation
3.3
PC Linux
: P3 normal
: ---
Assigned To: Graham Sellers
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 15:08 PDT by Beren Minor
Modified: 2013-05-28 14:21 PDT (History)
1 user (show)

See Also:


Attachments
Patch removing references to GL_TEXTURE_BORDER in man3 pages. (15.21 KB, patch)
2012-10-12 15:08 PDT, Beren Minor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Beren Minor 2012-10-12 15:08:28 PDT
Created attachment 123 [details]
Patch removing references to GL_TEXTURE_BORDER in man3 pages.

I'm not entirely sure about this one, as the specification does not explicitely deprecate the constant.

However, it is explicitely mentioned in page 345 of the GL3.3 core spec that texture border sizes should always be 0.

Attaching a patch to remove references to GL_TEXTURE_BORDER in the man3 pages.
Comment 1 Alfonse 2012-10-13 11:44:42 PDT
GYI: The core specifications do not include TEXTURE_BORDER in them, and it's clearly marked for the compatibility profile in the .spec files. It's not *explicitly* listed on the 3.0 deprecation list, but it's implicitly there due to the fact that all border state is gone from textures.
Comment 2 Graham Sellers 2013-05-28 14:21:01 PDT
Fixed it. There were a few more instances, and it was all over man4 too. Should be good now - reopen if you find more.